/* dataview1.h --

   This file is part of the "PE Maker".

   Copyright (C) 2005-2006 Ashkbiz Danehkar
   All Rights Reserved.

   "PE Maker" library are free software; you can redistribute them
   and/or modify them under the terms of the GNU General Public License as
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYRIGHT.TXT.
   If not, write to the Free Software Foundation, Inc.,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

   Ashkbiz Danehkar
   <ashkbiz@yahoo.com>
*/
#pragma once

#include "resource.h"

typedef struct tagDATAVIEW
{
	char szOffset[10];
	char szData[32];
	char szDescription[64];
	char szValue[64];
}DATAVIEW;

extern DATAVIEW *szDataView1;
extern int		iDataView1;
extern HWND		hDataView1;

extern BOOL DataView1_OnInitDialog(HWND hwnd, HWND hwndFocus, LPARAM lParam);
extern void DataView1_OnCommand (HWND hwnd, int id, HWND hwndCtl, UINT codeNotify);
extern void DataView1_Insert(PCHAR pDllName, 
						DWORD OriginalFirstThunk,
						DWORD TimeDateStamp,
						DWORD ForwarderChain,
						DWORD Name,
						DWORD FirstThunk);
extern void DataView1_ClearList();
